import { FlagsConfig, SfdxCommand } from '@salesforce/command';
export declare class UserCreateCommand extends SfdxCommand {
    static readonly description: string;
    static readonly examples: string[];
    static readonly requiresUsername = true;
    static readonly requiresDevhubUsername = true;
    static readonly varargs = true;
    static readonly flagsConfig: FlagsConfig;
    private user;
    private successes;
    private failures;
    private authInfo;
    /**
     * removes fields that cause errors in salesforce APIs within sfdx-core's createUser method
     *
     * @param fields a list of combined fields from varargs and the config file
     * @private
     */
    private static stripInvalidAPIFields;
    run(): Promise<UserCreateOutput>;
    private catchCreateUser;
    private lowerFirstLetter;
    private aggregateFields;
    private print;
    private setExitCode;
}
export default UserCreateCommand;
export interface UserCreateOutput {
    orgId: string;
    permissionSetAssignments: string[];
    fields: Record<string, unknown>;
}
