import { SfdxCommand } from '@salesforce/command';
export declare type AuthList = {
    defaultMarker: string;
    alias: string;
    username: string;
    profileName: string;
    orgId: string;
    accessToken: string;
    instanceUrl: string;
    loginUrl: string;
    userId: string;
};
export declare class UserListCommand extends SfdxCommand {
    static readonly description: string;
    static readonly examples: string[];
    static readonly requiresUsername = true;
    static readonly supportsDevhubUsername = true;
    private conn;
    run(): Promise<AuthList[]>;
    /**
     * Build a map of { [Username]: { ProfileId, Id } } for all users in the org
     *
     * @private
     * @return Promise<UserInfo>
     */
    private buildUserInfos;
    /**
     * Build a map of { [ProfileId]: ProfileName } for all profiles in the org
     *
     * @private
     * @return Promise<ProfileInfo>
     */
    private buildProfileInfos;
}
